getting a psp and need help

Discussion in 'PSP - Hacking & Homebrew' started by Knab, May 30, 2007.

  1. Knab
    OP

    Knab GBAtemp Fan

    Member
    306
    0
    Jul 6, 2006
    United States
    i was thinking about getting a psp recently and i was wondering what i would need to make it beable to play backups and roms?

    i figured i would ask on one of my favorite site(here) lol
     
  2. Xeijin

    Xeijin GBAtemp Fan

    Member
    495
    0
    Mar 25, 2007
    London, UK
    Traitor [​IMG]

    Well you'd be best finding a v. 1.5 PSP, I'm not sure what the current status is with downgraders, last I heard some FW versions couldnt be downgraded so if you've got a friend selling one or something that'd probably be best.

    Once you've got your hands on a v1.5, you'll want to flash it with Dark_Alex's latest 'Open Edition' firmware, which is basically the features of the latest firmware, but still letting you run homebrew/backups etc.

    For playing actual backups, its all done of a Memory Stick. So get one as big as you can (ideally a 4GB but nothing less than a 1GB), the bigger the stick the more games you can fit in, google should get you all the programs you need to get it working.

    Also they have that popstation thing which I believe is a reverse engineered version of the engine that Sony 're-released' some playstation games on, and is probably worth more than most of the PSP games put together. In essence it allows you to play your old PSX games on your PSP, defo worth getting.

    Do a bit of research, don't think it'll be too hard to find the stuff your after. Google is your friend!
     
  3. Knab
    OP

    Knab GBAtemp Fan

    Member
    306
    0
    Jul 6, 2006
    United States
    not a traitor i just wanted to play my favorite old PSX games on the go lol i still like my ds lol

    and thanks for the info
     
  4. Jiggah

    Jiggah GBAtemp Maniac

    Member
    1,223
    1
    Nov 9, 2002
    United States
    I just got mine for the same reason. I'd recommend ebaying a 1.5 firmware. I did a manual upgrade, without installers or anything and it was easy enough. I don't think you'd want to chance it by buying at a retail store. I'm going to attempt to buy MGS: Portable Ops. I heard it's worth the money.
     
  5. CJL18

    CJL18 GBAtemp Advanced Fan

    Member
    867
    66
    Mar 4, 2007
    United States
    well i got my 2.71 Ta-082 motherboard psp to 3.40 OEA custom Firmware, but i bricked my first one, but that s because i was stupid and didnt do any research before downgrading [​IMG]
     
  6. superkyre

    superkyre Member

    Newcomer
    46
    0
    Oct 7, 2006
    Makati City
    Since you just want to play PSX games, why not get a Playstation emulator like ePSXe? I mean, it's free. And it works. Or if you want real classics, get MAME.
     
  7. MC DUI

    MC DUI GBAtemp Advanced Maniac

    Member
    1,916
    0
    Nov 30, 2003
    Newcastle, Australia
    Depends on if he wants his PSX emulation to be portable or not.
     
  8. shaffaaf27

    shaffaaf27 GBAtemp Fan

    Member
    310
    0
    Oct 29, 2006
    london, england
    you can get any FW until 2.71 to downgrade w/o gta LCS (2.0 update (unpatched)), or upto 3.03 but you need gta lcs with a 2.0 update to downgrade to 1.5

    than upgrade to the holy grail of FW, the OE FW.
     
  9. shaffaaf27

    shaffaaf27 GBAtemp Fan

    Member
    310
    0
    Oct 29, 2006
    london, england
    SORRY DOUBLE POST